---
updatedAt: 2026-05-20T06:32:28.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get Deactivatable Amount

Returns the total staked amount that can be deactivated across all wallets of
the user. If any prior deactivation intent was left unsigned, it will be automatically canceled.

You can specify the optional `wallets` parameter to get the total deactivatable
amount in specific wallets.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "1.0.0",
    "title": "Staking API",
    "description": "The Blockdaemon Staking API simplifies and streamlines institutional cryptocurrency staking. The API allows developers to interact with blockchain networks and perform various staking-related operations, such as delegating and undelegating tokens, in a single, unified interface.\n\nWith the Staking API, you can quickly and easily build and deploy applications that automate staking activities and increase efficiency in your blockchain operations.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://assets-global.website-files.com/633c5e06513fa35f3391a5f9/645d33beb6fa65f6cfb95eb8_BD%20Logo%20Stack%20-%20Purple.svg",
      "backgroundColor": "#fafafa",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "explorer-enabled": false
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/boss"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "description": "When signing up for a staking account, you are provided with an API key.\n\nTo authenticate a Staking API request, pass your API key in the `X-API-Key` header.",
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "parameters": {
      "SolanaDelegatorAddress": {
        "name": "delegator_address",
        "in": "query",
        "required": false,
        "description": "A filter on the delegator address",
        "schema": {
          "$ref": "#/components/schemas/SolanaPublicKey"
        }
      },
      "SolanaWithdrawalAuthorityAddress": {
        "name": "withdrawal_authority",
        "in": "query",
        "required": false,
        "description": "A filter on the withdrawal authority address",
        "schema": {
          "$ref": "#/components/schemas/SolanaPublicKey"
        }
      },
      "SolanaStakingAuthorityAddress": {
        "name": "staking_authority",
        "in": "query",
        "required": false,
        "description": "A filter on the staking authority address",
        "schema": {
          "$ref": "#/components/schemas/SolanaPublicKey"
        }
      },
      "SolanaNetwork": {
        "name": "network",
        "in": "path",
        "description": "Solana network",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/SolanaNetwork"
        }
      }
    },
    "responses": {
      "InternalServerError": {
        "description": "Internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "InvalidRequest": {
        "description": "Invalid request.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Error response envelope",
              "required": [
                "code",
                "message"
              ],
              "properties": {
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Error code",
                  "example": 400
                },
                "message": {
                  "type": "string",
                  "description": "Error Message",
                  "example": "Detailed human-readable diagnostic message regarding any invalid request parameters"
                }
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Header 'X-API-Key' missing.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UnauthorizedError"
            }
          }
        }
      }
    },
    "schemas": {
      "Error": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 500
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A descriptive error message"
          }
        }
      },
      "Lamport": {
        "type": "string",
        "description": "Denomination of the cryptocurrency Solana.",
        "pattern": "^[1-9]\\d+$",
        "example": "100"
      },
      "SolanaNetwork": {
        "type": "string",
        "description": "Solana network",
        "enum": [
          "mainnet",
          "testnet"
        ]
      },
      "SolanaPublicKey": {
        "type": "string",
        "description": "Public Key of an asymmetric key-pair.",
        "format": "base58",
        "pattern": "^[1-9A-HJ-NP-Za-km-z]{44}$",
        "example": "5xot9PVkphiX2adznghwrAuxGs2zeWisNSxMW6hU6Hkj"
      },
      "UnauthorizedError": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 401
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A human-readable diagnostic message detailing any authorization failure"
          }
        }
      },
      "SolanaProtocol": {
        "type": "string",
        "description": "Solana protocol",
        "enum": [
          "solana"
        ]
      },
      "SolanaDeactivatableAmount": {
        "type": "object",
        "description": "The deactivatable amount",
        "required": [
          "protocol",
          "network",
          "amount",
          "currency"
        ],
        "properties": {
          "protocol": {
            "$ref": "#/components/schemas/SolanaProtocol"
          },
          "network": {
            "$ref": "#/components/schemas/SolanaNetwork"
          },
          "currency": {
            "$ref": "#/components/schemas/Lamport"
          },
          "amount": {
            "type": "string",
            "pattern": "^[1-9]\\d+$",
            "example": "123456"
          }
        }
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/v1/solana/{network}/deactivatable-amount": {
      "parameters": [
        {
          "$ref": "#/components/parameters/SolanaNetwork"
        },
        {
          "$ref": "#/components/parameters/SolanaDelegatorAddress"
        },
        {
          "$ref": "#/components/parameters/SolanaWithdrawalAuthorityAddress"
        },
        {
          "$ref": "#/components/parameters/SolanaStakingAuthorityAddress"
        }
      ],
      "get": {
        "summary": "Get Deactivatable Amount",
        "operationId": "getSolanaDeactivatableAmount",
        "tags": [
          "Solana"
        ],
        "description": "Returns the total staked amount that can be deactivated across all wallets of\nthe user. If any prior deactivation intent was left unsigned, it will be automatically canceled.\n\nYou can specify the optional `wallets` parameter to get the total deactivatable\namount in specific wallets.",
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SolanaDeactivatableAmount"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/InvalidRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "security": [
          {
            "ApiKeyAuth": []
          }
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Solana",
      "description": "Solana endpoints"
    }
  ]
}
```